## visad.data
Interface MetadataReader

All Known Implementing Classes:
  LociForm

public interface MetadataReader

MetadataReader is the VisAD interface for reading in a file's associated metadata (other than pixel data).

Method Summary
`Hashtable` `getMetadata(String id)` Obtains a hashtable containing all metadata field/value pairs from the given file.
`Object` `getMetadataValue(String id, String field)` Obtains the specified metadata field's value for the given file.

Method Detail

### getMetadataValue

    public Object getMetadataValue(String id,
                                   String field)
                            throws BadFormException,
                                   IOException,
                                   VisADException

  Obtains the specified metadata field's value for the given file.

  Parameters:
    `field` - the name associated with the metadata field
  Returns:
    the value, or null should the field not exist
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`

### getMetadata

    public Hashtable getMetadata(String id)
                          throws BadFormException,
                                 IOException,
                                 VisADException

  Obtains a hashtable containing all metadata field/value pairs from the given file.

  Parameters:
    `id` - the filename
  Returns:
    the hashtable containing all metadata associated with the file
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`